/*____________________________________________________________________________*\
 *

 Copyright (c) 1997 John Roy. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. Redistributions of any form whatsoever and all advertising materials 
    mentioning features must contain the following
    acknowledgment:
    "This product includes software developed by John Roy
    (http://www.johnroy.com/pi3/)."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: PIDocs.h$
 * $Date: Sun Aug 10 06:29:35 1997$
 *
 Description:
	Dummy holding place for miscellanious documentation.
\*____________________________________________________________________________*/
/* $HeaderTop:$ */

#ifndef PIDOCS_H_
#define PIDOCS_H_

/*____________________________________________________________________________*\
 *
 Name:
	Errors

 Synopsis:
 Description:
 Notes:
	Error codes are maintained on a per-thread basis and can be set and
	examined using PIPlatform_getLastError() and PIPlatform_setLastError()
	respectively. The following are the error codes used and thier
	meanings.

		PIAPI_ERROR			an unspecified error, use operating system 
								facilities to further isolate the error.
		PIAPI_EXHAUSTED		memory or disk space exhausted.
		PIAPI_EINVAL		invalid parameter
		PIAPI_NOTSUPPORTED	unimplemented facilitiy
		PIAPI_EEXIST		a file or other object cannot be created 
								because some object already exists which
								the creation would corrupt.
		PIAPI_EACCES		access denied
		PIAPI_EINIT			library not correctly initialised.
		PIAPI_DEADLOCK		action would leave no runnable threads.
 Return Values:
 See Also:
	PIPlatform_getLastError(), Errors
\*____________________________________________________________________________*/

#endif	/* PIDOCS_H_ */

